aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJozanLeClerc <bousset.rudy@gmail.com>2019-11-25 23:31:41 +0100
committerJozanLeClerc <bousset.rudy@gmail.com>2019-11-25 23:31:41 +0100
commit0c4e8944e4ef9c1ca6eb7d72eb80054ec03f5daf (patch)
treee62c310d33fa80ebc684e8424a8ad261cd8cbd4c
parentBetter word (diff)
downloadarch-installer-0c4e8944e4ef9c1ca6eb7d72eb80054ec03f5daf.tar.gz
arch-installer-0c4e8944e4ef9c1ca6eb7d72eb80054ec03f5daf.tar.bz2
arch-installer-0c4e8944e4ef9c1ca6eb7d72eb80054ec03f5daf.tar.xz
arch-installer-0c4e8944e4ef9c1ca6eb7d72eb80054ec03f5daf.tar.zst
arch-installer-0c4e8944e4ef9c1ca6eb7d72eb80054ec03f5daf.zip
Deleted useless variables
-rwxr-xr-xjoes-arch-install-UEFI.sh72
1 files changed, 24 insertions, 48 deletions
diff --git a/joes-arch-install-UEFI.sh b/joes-arch-install-UEFI.sh
index 05ff970..9781ac4 100755
--- a/joes-arch-install-UEFI.sh
+++ b/joes-arch-install-UEFI.sh
@@ -502,170 +502,146 @@ echo -e "${BMAGENTA}\
echo && echo
echo -e "${BCYAN}Installing ${BYELLOW}zip${END}"
pacstrap /mnt/arch zip > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}zip installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}unzip${END}"
pacstrap /mnt/arch unzip > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}unzip installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}p7zip${END}"
pacstrap /mnt/arch p7zip > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}p7zip installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}vim${END}"
pacstrap /mnt/arch vim > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}vim installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}mc${END}"
pacstrap /mnt/arch mc > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}mc installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}alsa-utils${END}"
pacstrap /mnt/arch alsa-utils > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}alsa-utils installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}syslog-ng${END}"
pacstrap /mnt/arch syslog-ng > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}syslog-ng installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}mtools${END}"
pacstrap /mnt/arch mtools > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}mtools installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}dostools${END}"
pacstrap /mnt/arch dostools > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}dostools installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}lsb-release${END}"
pacstrap /mnt/arch lsb-release > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}lsb-release installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}ntfs-3g${END}"
pacstrap /mnt/arch ntfs-3g > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}ntfs-3g installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}exfat-utils${END}"
pacstrap /mnt/arch exfat-utils > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}exfat-utils installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}git${END}"
pacstrap /mnt/arch git > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}git installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}zsh${END}"
pacstrap /mnt/arch zsh > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}zsh installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}ntp${END}"
pacstrap /mnt/arch ntp > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}ntp installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}cronie${END}"
pacstrap /mnt/arch cronie > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}cronie installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}grub${END}"
pacstrap /mnt/arch grub > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}grub installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}os-prober${END}"
pacstrap /mnt/arch os-prober > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}os-prober installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}efibootmgr${END}"
pacstrap /mnt/arch efibootmgr > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}efibootmgr installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}mkinitcpio${END}"
pacstrap /mnt/arch mkinitcpio > /dev/null
-tmpretq=$?
-if [ $tmpretq -eq 0 ]; then
+if [ $? -eq 0 ]; then
echo -e "${BGREEN}mkinitcpio installed${END}"
fi
echo
if [ $ltskern -eq 1 ]; then
echo -e "${BCYAN}Installing ${BYELLOW}linux-lts${END}"
pacstrap /mnt/arch linux-lts > /dev/null
- tmpretq=$?
- if [ $tmpretq -eq 0 ]; then
+ if [ $? -eq 0 ]; then
echo -e "${BGREEN}linux-lts installed${END}"
fi
echo -e "${BCYAN}Installing ${BYELLOW}linux-lts-headers${END}"
echo
pacstrap /mnt/arch linux-lts-headers > /dev/null
- tmpretq=$?
- if [ $tmpretq -eq 0 ]; then
+ if [ $? -eq 0 ]; then
echo -e "${BGREEN}linux-lts-headers installed${END}"
fi
else
echo -e "${BCYAN}Installing ${BYELLOW}linux${END}"
pacstrap /mnt/arch linux > /dev/null
- tmpretq=$?
- if [ $tmpretq -eq 0 ]; then
+ if [ $? -eq 0 ]; then
echo -e "${BGREEN}linux installed${END}"
fi
echo
echo -e "${BCYAN}Installing ${BYELLOW}linux-headers${END}"
pacstrap /mnt/arch linux-headers > /dev/null
- tmpretq=$?
- if [ $tmpretq -eq 0 ]; then
+ if [ $? -eq 0 ]; then
echo -e "${BGREEN}linux-headers installed${END}"
fi
fi